Skip to main content
GET
/
campaigns
Get campaigns
curl --request GET \
  --url https://backstage.example.com/api/soundcheck/campaigns
{
  "campaigns": [
    {
      "id": "<string>",
      "type": "campaign",
      "levels": [
        {
          "ordinal": 123,
          "checks": [
            {
              "id": "<string>",
              "name": "<string>",
              "description": "<string>",
              "filter": {},
              "exclude": {}
            }
          ],
          "name": "<string>",
          "description": "<string>",
          "badge": {
            "color": "<string>",
            "svg": "<string>"
          }
        }
      ],
      "name": "<string>",
      "description": "<string>",
      "ownerEntityRef": "<string>",
      "group": "<string>",
      "badge": {
        "color": "<string>",
        "svg": "<string>"
      },
      "filter": {},
      "exclude": {},
      "documentationURL": "<string>",
      "draft": true,
      "isEditable": true,
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "archived": true,
      "supportChannel": "<string>",
      "startDate": "<string>",
      "targetCompletionDate": "<string>",
      "milestones": [
        {}
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

campaigns

One or more campaign ids to filter by.

entityRef
string

Entity ref used to filter campaigns.

onlyApplicableChecks
boolean

Whether to include only applicable checks.

Response

OK

campaigns
object[]
required